<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// -----------------------------------------
// Layer Sliders
// -----------------------------------------
function aarogya_layersliders() {
  $layerslider = array(  esc_html__('Select a slider','aarogya') );

  if( class_exists( 'LS_Sliders' ) ) {

    $sliders = LS_Sliders::find(array('limit' => 50));

    if(!empty($sliders)) {
      foreach($sliders as $key => $item){
        $layerslider[ $item['id'] ] = $item['name'];
      }
    }
  }

  return $layerslider;
}

// -----------------------------------------
// Revolution Sliders
// -----------------------------------------
function aarogya_revolutionsliders() {
  $revolutionslider = array( '' => esc_html__('Select a slider','aarogya') );

  if( class_exists( 'RevSlider' ) ) {    
    $sld = new RevSlider();
    $sliders = $sld->getArrSliders();
    if(!empty($sliders)){
      foreach($sliders as $key => $item) {
        $revolutionslider[$item->getAlias()] = $item->getTitle();
      }
    }    
  }

  return $revolutionslider;  
}

// -----------------------------------------
// Meta Layout Section
// -----------------------------------------
$cart_page_id = get_option('woocommerce_cart_page_id');
$checkout_page_id = get_option('woocommerce_checkout_page_id');
$myaccount_page_id = get_option('woocommerce_myaccount_page_id');
$wishlist_page_id = get_option( 'yith_wcwl_wishlist_page_id' );

if( isset( $_GET['post'] ) && ( $_GET['post'] == $cart_page_id || $_GET['post'] == $checkout_page_id || $_GET['post'] == $myaccount_page_id || $_GET['post'] == $wishlist_page_id ) ) { 

  $page_layout_options = array(
      'global-site-layout'   => AAROGYA_THEME_URI . '/cs-framework-override/images/admin-option.png',
      'content-full-width'   => AAROGYA_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
      'with-left-sidebar'    => AAROGYA_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
      'with-right-sidebar'   => AAROGYA_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
  );

} else {

  $page_layout_options = array(
    'global-site-layout'   => AAROGYA_THEME_URI . '/cs-framework-override/images/admin-option.png',
    'content-full-width'   => AAROGYA_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
    'with-left-sidebar'    => AAROGYA_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
    'with-right-sidebar'   => AAROGYA_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
    'with-both-sidebar'    => AAROGYA_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
  );

}


$meta_layout_section =array(
  'name'  => 'layout_section',
  'title' => esc_html__('Layout', 'aarogya'),
  'icon'  => 'fa fa-columns',
  'fields' =>  array(
    array(
      'id'         => 'layout',
      'type'       => 'image_select',
      'title'      => esc_html__('Page Layout', 'aarogya' ),
      'options'    => $page_layout_options,
      'default'    => 'global-site-layout',
      'attributes' => array( 'data-depend-id' => 'page-layout' )
    ),
    array(
      'id'         => 'show-standard-sidebar-left',
      'type'       => 'switcher',
      'title'      => esc_html__('Show Standard Left Sidebar', 'aarogya' ),
      'dependency' => array( 'page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
      'default'    => true
    ),
    array(
      'id'        => 'widget-area-left',
      'type'      => 'select',
      'title'     => esc_html__('Choose Left Widget Areas', 'aarogya' ),
      'class'     => 'chosen',
      'options'   => aarogya_custom_widgets(),
      'attributes'  => array( 
        'multiple'  => 'multiple',
        'data-placeholder' => esc_html__('Select Left Widget Areas','aarogya'),
        'style' => 'width: 400px;'
      ),
      'dependency'  => array( 'page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
    ),
    array(
      'id'         => 'show-standard-sidebar-right',
      'type'       => 'switcher',
      'title'      => esc_html__('Show Standard Right Sidebar', 'aarogya' ),
      'dependency' => array( 'page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
      'default'    => true
    ),
    array(
      'id'        => 'widget-area-right',
      'type'      => 'select',
      'title'     => esc_html__('Choose Right Widget Areas', 'aarogya' ),
      'class'     => 'chosen',
      'options'   => aarogya_custom_widgets(),
      'attributes'    => array( 
        'multiple' => 'multiple',
        'data-placeholder' => esc_html__('Select Right Widget Areas','aarogya'),
        'style' => 'width: 400px;'
      ),
      'dependency'  => array( 'page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
    )
  )
);

// -----------------------------------------
// Meta Breadcrumb Section
// -----------------------------------------
$meta_breadcrumb_section = array(
  'name'  => 'breadcrumb_section',
  'title' => esc_html__('Breadcrumb', 'aarogya'),
  'icon'  => 'fa fa-sitemap',
  'fields' =>  array(
    array(
      'id'      => 'enable-sub-title',
      'type'    => 'switcher',
      'title'   => esc_html__('Show Breadcrumb', 'aarogya' ),
      'default' => true
    ),
    array(
    	'id'                 => 'breadcrumb_position',
	'type'               => 'select',
      'title'              => esc_html__('Position', 'aarogya' ),
      'options'            => array(
        'header-top-absolute'    => esc_html__('Behind the Header','aarogya'),
        'header-top-relative' 	   => esc_html__('Default','aarogya'),
		),
		'default'            => 'header-top-relative',	
      'dependency'         => array( 'enable-sub-title', '==', 'true' ),
    ),    
    array(
      'id'    => 'breadcrumb_background',
      'type'  => 'background',
      'title' => esc_html__('Background', 'aarogya' ),
      'dependency'   => array( 'enable-sub-title', '==', 'true' ),
    ),
  )
);

// -----------------------------------------
// Meta Slider Section
// -----------------------------------------
$meta_slider_section = array(
  'name'  => 'slider_section',
  'title' => esc_html__('Slider', 'aarogya'),
  'icon'  => 'fa fa-slideshare',
  'fields' =>  array(
    array(
      'id'           => 'slider-notice',
      'type'         => 'notice',
      'class'        => 'danger',
      'content'      => esc_html__('Slider tab works only if breadcrumb disabled.','aarogya'),
      'class'        => 'margin-30 cs-danger',
      'dependency'   => array( 'enable-sub-title', '==', 'true' ),
    ),

    array(
      'id'           => 'show_slider',
      'type'         => 'switcher',
      'title'        => esc_html__('Show Slider', 'aarogya' ),
      'dependency'   => array( 'enable-sub-title', '==', 'false' ),
    ),
    array(
    	'id'                 => 'slider_position',
	'type'               => 'select',
	'title'              => esc_html__('Position', 'aarogya' ),
	'options'            => array(
		'header-top-relative'     => esc_html__('Top Header Relative','aarogya'),
		'header-top-absolute'    => esc_html__('Top Header Absolute','aarogya'),
		'bottom-header' 	   => esc_html__('Bottom Header','aarogya'),
	),
	'default'            => 'bottom-header',
	'dependency'         => array( 'enable-sub-title|show_slider', '==|==', 'false|true' ),
   ),
   array(
      'id'                 => 'slider_type',
      'type'               => 'select',
      'title'              => esc_html__('Slider', 'aarogya' ),
      'options'            => array(
        ''                 => esc_html__('Select a slider','aarogya'),
        'layerslider'      => esc_html__('Layer slider','aarogya'),
        'revolutionslider' => esc_html__('Revolution slider','aarogya'),
        'customslider'     => esc_html__('Custom Slider Shortcode','aarogya'),
      ),
      'validate' => 'required',
      'dependency'         => array( 'enable-sub-title|show_slider', '==|==', 'false|true' ),
    ),

    array(
      'id'          => 'layerslider_id',
      'type'        => 'select',
      'title'       => esc_html__('Layer Slider', 'aarogya' ),
      'options'     => aarogya_layersliders(),
      'validate'    => 'required',
      'dependency'  => array( 'enable-sub-title|show_slider|slider_type', '==|==|==', 'false|true|layerslider' )
    ),

    array(
      'id'          => 'revolutionslider_id',
      'type'        => 'select',
      'title'       => esc_html__('Revolution Slider', 'aarogya' ),
      'options'     => aarogya_revolutionsliders(),
      'validate'    => 'required',
      'dependency'  => array( 'enable-sub-title|show_slider|slider_type', '==|==|==', 'false|true|revolutionslider' )
    ),

    array(
      'id'          => 'customslider_sc',
      'type'        => 'textarea',
      'title'       => esc_html__('Custom Slider Code', 'aarogya' ),
      'validate'    => 'required',
      'dependency'  => array( 'enable-sub-title|show_slider|slider_type', '==|==|==', 'false|true|customslider' )
    ),
  )  
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// METABOX OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options = array();

// -----------------------------------------
// Page Metabox Options                    -
// -----------------------------------------
array_push( $meta_layout_section['fields'], array(
  'id'        => 'enable-sticky-sidebar',
  'type'      => 'switcher',
  'title'     => esc_html__('Enable Sticky Sidebar', 'aarogya' ),
  'dependency'  => array( 'page-layout', 'any', 'with-left-sidebar,with-right-sidebar,with-both-sidebar' )
) );

$page_settings = array(
  $meta_layout_section,
  $meta_breadcrumb_section,
  $meta_slider_section,
  array(
    'name'   => 'sidenav_template_section',
    'title'  => esc_html__('Side Navigation Template', 'aarogya'),
    'icon'   => 'fa fa-th-list',
    'fields' =>  array(
      array(
        'id'      => 'sidenav-tpl-notice',
        'type'    => 'notice',
        'class'   => 'success',
        'content' => esc_html__('Side Navigation Tab Works only if page template set to Side Navigation Template in Page Attributes','aarogya'),
        'class'   => 'margin-30 cs-success',      
      ),
      array(
        'id'      => 'sidenav-style',
        'type'    => 'select',
        'title'   => esc_html__('Side Navigation Style', 'aarogya' ),
        'options' => array(
          'type1'  => esc_html__('Type1','aarogya'),
          'type2'  => esc_html__('Type2','aarogya'),
          'type3'  => esc_html__('Type3','aarogya'),
          'type4'  => esc_html__('Type4','aarogya'),
          'type5'  => esc_html__('Type5','aarogya')
        ),
      ),
      array(
        'id'    => 'sidenav-align',
        'type'  => 'switcher',
        'title' => esc_html__('Align Right', 'aarogya' ),
        'info'  => esc_html__('YES! to align right of side navigation.','aarogya')
      ),
      array(
        'id'    => 'sidenav-sticky',
        'type'  => 'switcher',
        'title' => esc_html__('Sticky Side Navigation', 'aarogya' ),
        'info'  => esc_html__('YES! to sticky side navigation content.','aarogya')
      ),
      array(
        'id'    => 'enable-sidenav-content',
        'type'  => 'switcher',
        'title' => esc_html__('Show Content', 'aarogya' ),
        'info'  => esc_html__('YES! to show content in below side navigation.','aarogya')
      ),
      array(
        'id'         => 'sidenav-content',
        'type'       => 'textarea',
        'title'      => esc_html__('Side Navigation Content', 'aarogya' ),
        'info'       => esc_html__('Paste any shortcode content here','aarogya'),
        'attributes' => array( 'rows' => 6 ),
      ),
    )
  ),  
);

$shop_page_id = get_option('woocommerce_shop_page_id');

if( isset( $_GET['post'] ) && ( $_GET['post'] != $shop_page_id ) || !isset( $_GET['post'] )  ) {	
  $options[] = array(
    'id'        => '_tpl_default_settings',
    'title'     => esc_html__('Page Settings','aarogya'),
    'post_type' => 'page',
    'context'   => 'normal',
    'priority'  => 'high',
    'sections'  => $page_settings
  );

}

// -----------------------------------------
// Post Metabox Options                    -
// -----------------------------------------
$post_meta_layout_section = $meta_layout_section;
$fields = $post_meta_layout_section['fields'];

	$fields[0]['title'] =  esc_html__('Post Layout', 'aarogya' );
	#unset( $fields[0]['options']['with-both-sidebar'] );
	#unset( $fields[0]['info'] );
	#unset( $fields[0]['options']['fullwidth'] );
	unset( $fields[5] );
	unset( $post_meta_layout_section['fields'] );
	$post_meta_layout_section['fields']  = $fields;  

	$post_format_section = array(
		'name'  => 'post_format_data_section',
		'title' => esc_html__('Post Format', 'aarogya'),
		'icon'  => 'fa fa-cog',
		'fields' =>  array(

			array(
				'id'           => 'single-post-style',
				'type'         => 'select',
				'title'        => esc_html__('Post Style', 'aarogya'),
				'options'      => array(
          'breadcrumb-fixed'     => esc_html__('Breadcrumb Fixed', 'aarogya'),
          'breadcrumb-parallax'  => esc_html__('Breadcrumb Parallax', 'aarogya'),
          'overlay'              => esc_html__('Overlay', 'aarogya'),
          'overlap'              => esc_html__('Overlap', 'aarogya'),
          'fixed-top-image-meta' => esc_html__('Fixed Top Image Meta', 'aarogya'),
          'custom'               => esc_html__('Custom', 'aarogya')
				),
				'class'        => 'chosen',
				'default'      => 'fixed-top-image-meta',
				'info'         => esc_html__('Choose post style to display single post. If post style is "Custom", display based on Editor content.', 'aarogya')
			),

			array(
				'id'           => 'single-custom-style',
				'type'         => 'select',
				'title'        => esc_html__('Custom Style', 'aarogya'),
				'options'      => array(
          'minimal' => esc_html__('Minimal', 'aarogya'),
          'classic' => esc_html__('Classic', 'aarogya'),
          'modern'  => esc_html__('Modern', 'aarogya'),
				),
				'class'        => 'chosen',
				'default'      => 'minimal',
				'info'         => esc_html__('Select type of custom style.', 'aarogya'),
				'dependency'   => array( 'single-post-style', '==', 'custom' ),
			),

			array(
          'id'         => 'view_count',
          'type'       => 'number',
          'title'      => esc_html__('Views', 'aarogya' ),
          'info'       => esc_html__('No.of views of this post.', 'aarogya'),
          'attributes' => array( 'style'    => 'width: 15%;' ),
			),

			array(
          'id'         => 'like_count',
          'type'       => 'number',
          'title'      => esc_html__('Likes', 'aarogya' ),
          'info'       => esc_html__('No.of likes of this post.', 'aarogya'),
          'attributes' => array(
            'style'    => 'width: 15%;'
        	),
      ),

			array(
        'id'      => 'post-format-type',
        'title'   => esc_html__('Type', 'aarogya' ),
        'type'    => 'select',
        'default' => 'standard',
        'options' => array(
          'standard' => esc_html__('Standard', 'aarogya'),
          'status'   => esc_html__('Status','aarogya'),
          'quote'    => esc_html__('Quote','aarogya'),
          'gallery'  => esc_html__('Gallery','aarogya'),
          'image'    => esc_html__('Image','aarogya'),
          'video'    => esc_html__('Video','aarogya'),
          'audio'    => esc_html__('Audio','aarogya'),
          'link'     => esc_html__('Link','aarogya'),
          'aside'    => esc_html__('Aside','aarogya'),
          'chat'     => esc_html__('Chat','aarogya')
				),
        'info'    => esc_html__('Post Format & Type should be Same. Check the Post Format from the "Format" Tab, which comes in the Right Side Section', 'aarogya'),
			),

			array(
        'id'          => 'post-gallery-items',
        'type'        => 'gallery',
        'title'       => esc_html__('Add Images', 'aarogya' ),
        'add_title'   => esc_html__('Add Images', 'aarogya' ),
        'edit_title'  => esc_html__('Edit Images', 'aarogya' ),
        'clear_title' => esc_html__('Remove Images', 'aarogya' ),
        'dependency'  => array( 'post-format-type', '==', 'gallery' ),
			),

			array(
          'id'         => 'media-type',
          'type'       => 'select',
          'title'      => esc_html__('Select Type', 'aarogya' ),
          'dependency' => array( 'post-format-type', 'any', 'video,audio' ),
          'options'    => array(
            'oembed' => esc_html__('Oembed','aarogya'),
            'self'   => esc_html__('Self Hosted','aarogya'),
				)
			),

			array(
				'id' 	  => 'media-url',
				'type'	  => 'textarea',
				'title'   => esc_html__('Media URL', 'aarogya' ),
				'dependency' => array( 'post-format-type', 'any', 'video,audio' ),
			),
		)
	);

	$options[] = array(
		'id'        => '_dt_post_settings',
		'title'     => esc_html__('Post Settings','aarogya'),
		'post_type' => 'post',
		'context'   => 'normal',
		'priority'  => 'high',
		'sections'  => array(
			$post_meta_layout_section,
			$meta_breadcrumb_section,
			$post_format_section			
		)
	);

// -----------------------------------------
// Tribe Events Post Metabox Options
// -----------------------------------------
  array_push( $post_meta_layout_section['fields'], array(
    'id' => 'event-post-style',
    'title'   => esc_html__('Post Style', 'aarogya' ),
    'type' => 'select',
    'default' => 'type1',
    'options' => array(
      'type1'  => esc_html__('Classic', 'aarogya'),
      'type2'  => esc_html__('Full Width','aarogya'),
      'type3'  => esc_html__('Minimal Tab','aarogya'),
      'type4'  => esc_html__('Clean','aarogya'),
      'type5'  => esc_html__('Modern','aarogya'),
    ),
	'class'    => 'chosen',
	'info'     => esc_html__('Your event post page show at most selected style.', 'aarogya')
  ) );

  $options[] = array(
    'id'        => '_custom_settings',
    'title'     => esc_html__('Settings','aarogya'),
    'post_type' => 'tribe_events',
    'context'   => 'normal',
    'priority'  => 'high',
    'sections'  => array(
      $post_meta_layout_section,
      $meta_breadcrumb_section
    )
  );

  if( function_exists( 'is_woocommerce' ) ) {

    $woo_size_guides = cs_get_option( 'dt-woo-size-guides' );
    $woo_size_guides = (is_array($woo_size_guides) && !empty($woo_size_guides)) ? $woo_size_guides : false;
  
    $size_guides[] = esc_html__('None', 'aarogya');
    if($woo_size_guides) {
      foreach($woo_size_guides as $woo_size_guide_key => $woo_size_guide) {
        $size_guides[$woo_size_guide_key] = $woo_size_guide['title'];
      }
    }
    
    $product_meta_layout_section = array(
      'name'   => 'general_section',
      'title'  => esc_html__('General', 'aarogya'),
      'icon'   => 'fa fa-angle-double-right',
      'fields' =>  array(
          array(
              'id'         => 'page-layout',
              'type'       => 'image_select',
              'title'      => esc_html__('Page Layout', 'aarogya'),
              'options'    => array(
                  'admin-option'       => AAROGYA_THEME_URI . '/cs-framework-override/images/admin-option.png',
                  'content-full-width' => AAROGYA_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
                  'with-left-sidebar'  => AAROGYA_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
                  'with-right-sidebar' => AAROGYA_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
              ),
              'default'    => 'admin-option',
              'attributes' => array( 'data-depend-id' => 'page-layout' )
          ),
          array(
              'id'         => 'show-standard-sidebar',
              'type'       => 'switcher',
              'title'      => esc_html__('Show Product Standard Sidebar', 'aarogya'),
              'dependency' => array( 'page-layout', 'any', 'with-left-sidebar,with-right-sidebar' )
          ),
          array(
              'id'         => 'product-widgetareas',
              'type'       => 'select',
              'title'      => esc_html__('Choose Custom Widget Area', 'aarogya'),
              'class'      => 'chosen',
              'options'    => aarogya_custom_widgets(),
              'dependency' => array( 'page-layout', 'any', 'with-left-sidebar,with-right-sidebar' ),
              'attributes' => array(
                  'multiple'         => 'multiple',
                  'data-placeholder' => esc_attr__('Select Widget Areas', 'aarogya'),
                  'style'            => 'width: 400px;'
              ),
          ),
  
          # Product Template
          array(
              'id'      => 'product-template',
              'type'    => 'select',
              'title'   => esc_html__('Product Template', 'aarogya'),
              'class'   => 'chosen',
              'options' => array(
                  'admin-option'    => esc_html__( 'Admin Option', 'aarogya' ),
                  'woo-default'     => esc_html__( 'WooCommerce Default', 'aarogya' ),
                  'custom-template' => esc_html__( 'Custom Template', 'aarogya' )
              ),
              'default'    => 'admin-option',
              'info'       => esc_html__('Don\'t use product shortcodes in content area when "WooCommerce Default" template is chosen.', 'aarogya')
          ),
                 
          array(
              'id'         => 'show-upsell',
              'type'       => 'select',
              'title'      => esc_html__('Show Upsell Products', 'aarogya'),
              'class'      => 'chosen',
              'default'    => 'admin-option',
              'attributes' => array( 'data-depend-id' => 'show-upsell' ),
              'options'    => array(
                  'admin-option' => esc_html__( 'Admin Option', 'aarogya' ),
                  'true'         => esc_html__( 'Show', 'aarogya'),
                  null           => esc_html__( 'Hide', 'aarogya'),
              ),
              'dependency' => array( 'product-template', '!=', 'custom-template')
          ),
          array(
              'id'         => 'upsell-column',
              'type'       => 'select',
              'title'      => esc_html__('Choose Upsell Column', 'aarogya'),
              'class'      => 'chosen',
              'default'    => 4,
              'options'    => array(
                  'admin-option' => esc_html__( 'Admin Option', 'aarogya' ),
                  1              => esc_html__( 'One Column', 'aarogya' ),
                  2              => esc_html__( 'Two Columns', 'aarogya' ),
                  3              => esc_html__( 'Three Columns', 'aarogya' ),
                  4              => esc_html__( 'Four Columns', 'aarogya' ),
              ),
              'dependency' => array( 'product-template|show-upsell', '!=|==', 'custom-template|true')
          ),
          array(
              'id'         => 'upsell-limit',
              'type'       => 'select',
              'title'      => esc_html__('Choose Upsell Limit', 'aarogya'),
              'class'      => 'chosen',
              'default'    => 4,
              'options'    => array(
                  'admin-option' => esc_html__( 'Admin Option', 'aarogya' ),
                  1              => esc_html__( 'One', 'aarogya' ),
                  2              => esc_html__( 'Two', 'aarogya' ),
                  3              => esc_html__( 'Three', 'aarogya' ),
                  4              => esc_html__( 'Four', 'aarogya' ),
                  5              => esc_html__( 'Five', 'aarogya' ),
                  6              => esc_html__( 'Six', 'aarogya' ),
                  7              => esc_html__( 'Seven', 'aarogya' ),
                  8              => esc_html__( 'Eight', 'aarogya' ),
                  9              => esc_html__( 'Nine', 'aarogya' ),
                  10              => esc_html__( 'Ten', 'aarogya' ),                                                
              ),
              'dependency' => array( 'product-template|show-upsell', '!=|==', 'custom-template|true')
          ),        
          array(
              'id'         => 'show-related',
              'type'       => 'select',
              'title'      => esc_html__('Show Related Products', 'aarogya'),
              'class'      => 'chosen',
              'default'    => 'admin-option',
              'attributes' => array( 'data-depend-id' => 'show-related' ),
              'options'    => array(
                  'admin-option' => esc_html__( 'Admin Option', 'aarogya' ),
                  'true'         => esc_html__( 'Show', 'aarogya'),
                  null           => esc_html__( 'Hide', 'aarogya'),
              ),
              'dependency' => array( 'product-template', '!=', 'custom-template')
          ),
          array(
              'id'         => 'related-column',
              'type'       => 'select',
              'title'      => esc_html__('Choose Related Column', 'aarogya'),
              'class'      => 'chosen',
              'default'    => 4,
              'options'    => array(
                  'admin-option' => esc_html__( 'Admin Option', 'aarogya' ),
                  2              => esc_html__( 'Two Columns', 'aarogya' ),
                  3              => esc_html__( 'Three Columns', 'aarogya' ),
                  4              => esc_html__( 'Four Columns', 'aarogya' ),
              ),
              'dependency' => array( 'product-template|show-related', '!=|==', 'custom-template|true')
          ),
          array(
              'id'         => 'related-limit',
              'type'       => 'select',
              'title'      => esc_html__('Choose Related Limit', 'aarogya'),
              'class'      => 'chosen',
              'default'    => 4,
              'options'    => array(
                  'admin-option' => esc_html__( 'Admin Option', 'aarogya' ),
                  1              => esc_html__( 'One', 'aarogya' ),
                  2              => esc_html__( 'Two', 'aarogya' ),
                  3              => esc_html__( 'Three', 'aarogya' ),
                  4              => esc_html__( 'Four', 'aarogya' ),
                  5              => esc_html__( 'Five', 'aarogya' ),
                  6              => esc_html__( 'Six', 'aarogya' ),
                  7              => esc_html__( 'Seven', 'aarogya' ),
                  8              => esc_html__( 'Eight', 'aarogya' ),
                  9              => esc_html__( 'Nine', 'aarogya' ),
                  10              => esc_html__( 'Ten', 'aarogya' ),                                                
              ),
              'dependency' => array( 'product-template|show-related', '!=|==', 'custom-template|true')
          ),
  
          # Product Additional Tabs
          array(
            'id'              => 'product-additional-tabs',
            'type'            => 'group',
            'title'           => esc_html__('Additional Tabs', 'aarogya'),
            'info'            => esc_html__('Click button to add title and description.', 'aarogya'),
            'button_title'    => esc_html__('Add New Tab', 'aarogya'),
            'accordion_title' => esc_html__('Adding New Tab Field', 'aarogya'),
            'fields'          => array(
              array(
              'id'          => 'tab_title',
              'type'        => 'text',
              'title'       => esc_html__('Title', 'aarogya'),
              ),
  
              array(
              'id'          => 'tab_description',
              'type'        => 'textarea',
              'title'       => esc_html__('Description', 'aarogya')
              ),
            )
          ),
  
          # Product New Label
           array(
              'id'         => 'product-new-label',
              'type'       => 'switcher',
              'title'      => esc_html__('Add "New" label', 'aarogya'),
          ), 
  
          array(
            'id'         => 'dt-single-product-size-guides',
            'type'       => 'select',
            'title'      => esc_html__('Product Size Guides', 'aarogya'),
            'options'    => $size_guides,
            //'info'       => esc_html__('Choose product size guide that defined in admin section.', 'aarogya')
          ),              
  
          array(
            'id'          => 'description',
            'type'        => 'textarea',
            'title'       => esc_html__('Description', 'aarogya'),
            'info'       => esc_html__('This content will be used in description tab, when "Custom Template" is chosen.', 'aarogya')
            ),
  
      )
    );
  
    $options[] = array(
      'id'        => '_custom_settings',
      'title'     => esc_html__('Product Settings','aarogya'),
      'post_type' => 'product',
      'context'   => 'normal',
      'priority'  => 'high',
      'sections'  => array(
        $product_meta_layout_section
      )
    );
  
    $options[] = array(
      'id'        => '_360viewer_gallery',
      'title'     => esc_html__('Product 360 View Gallery','aarogya'),
      'post_type' => 'product',
      'context'   => 'side',
      'priority'  => 'low',
      'sections'  => array(
                      array(
                      'name'   => '360view_section',
                      'fields' =>  array(
                                      array (
                                        'id'          => 'product-360view-gallery',
                                        'type'        => 'gallery',
                                        'title'       => esc_html__('Gallery Images', 'aarogya'),
                                        'desc'        => esc_html__('Simply add images to gallery items.', 'aarogya'),
                                        'add_title'   => esc_html__('Add Images', 'aarogya'),
                                        'edit_title'  => esc_html__('Edit Images', 'aarogya'),
                                        'clear_title' => esc_html__('Remove Images', 'aarogya'),
                                      )
                                  )
                      )
                    )
      );
  
  
  }
  
// -----------------------------------------
// Header And Footer Options Metabox
// -----------------------------------------
$post_types = apply_filters( 'aarogya_header_footer_default_cpt' , array ( 'post', 'page', 'product' )  );
$options[] = array(
	'id'	=> '_dt_custom_settings',
	'title'	=> esc_html__('Header & Footer','aarogya'),
	'post_type' => $post_types,
	'priority'  => 'high',
	'context'   => 'side', 
	'sections'  => array(
	
		# Header Settings
		array(
			'name'  => 'header_section',
			'title' => esc_html__('Header', 'aarogya'),
			'icon'  => 'fa fa-angle-double-right',
			'fields' =>  array(
			
				# Header Show / Hide
				array(
					'id'		=> 'show-header',
					'type'		=> 'switcher',
					'title'		=> esc_html__('Show Header', 'aarogya'),
					'default'	=>  true,
				),
				
				# Header
				array(
					'id'  		 => 'header',
					'type'  	 => 'select',
					'title' 	 => esc_html__('Choose Header', 'aarogya'),
					'class'		 => 'chosen',
					'options'	 => 'posts',
					'query_args' => array(
						'post_type'	 => 'dt_headers',
						'orderby'	 => 'ID',
						'order'		 => 'ASC',
						'posts_per_page' => -1,
					),
					'default_option' => esc_attr__('Select Header', 'aarogya'),
					'attributes' => array( 'style'	=> 'width:50%' ),
					'info'		 => esc_html__('Select custom header for this page.','aarogya'),
					'dependency'	=> array( 'show-header', '==', 'true' )
				),							
			)			
		),
		# Header Settings

		# Footer Settings
		array(
			'name'  => 'footer_settings',
			'title' => esc_html__('Footer', 'aarogya'),
			'icon'  => 'fa fa-angle-double-right',
			'fields' =>  array(
			
				# Footer Show / Hide
				array(
					'id'		=> 'show-footer',
					'type'		=> 'switcher',
					'title'		=> esc_html__('Show Footer', 'aarogya'),
					'default'	=>  true,
				),
				
				# Footer
		        array(
					'id'         => 'footer',
					'type'       => 'select',
					'title'      => esc_html__('Choose Footer', 'aarogya'),
					'class'      => 'chosen',
					'options'    => 'posts',
					'query_args' => array(
						'post_type'  => 'dt_footers',
						'orderby'    => 'ID',
						'order'      => 'ASC',
						'posts_per_page' => -1,
					),
					'default_option' => esc_attr__('Select Footer', 'aarogya'),
					'attributes' => array( 'style'  => 'width:50%' ),
					'info'       => esc_html__('Select custom footer for this page.','aarogya'),
					'dependency'    => array( 'show-footer', '==', 'true' )
				),			
			)			
		),
		# Footer Settings
		
	)	
);
	
CSFramework_Metabox::instance( $options );