<?php
add_action( 'vc_before_init', 'aarogya_vc_compatible' );
function aarogya_vc_compatible() {
	
	vc_set_as_theme();

	$posts = apply_filters( 'aarogya_vc_default_cpt' , array ( 'page' )  );
	vc_set_default_editor_post_types( $posts );
}

/* ---------------------------------------------------------------------------
 * Hook of Top
 * --------------------------------------------------------------------------- */
function aarogya_hook_top() {
	if( cs_get_option( 'enable-top-hook' ) ) :
		echo '<!-- aarogya_hook_top -->';
			$hook = cs_get_option( 'top-hook' );
			if (!empty($hook) )
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- aarogya_hook_top -->';
	endif;	
}
add_action( 'aarogya_hook_top', 'aarogya_hook_top', 10 );

/* ---------------------------------------------------------------------------
 * Page Loader
 * --------------------------------------------------------------------------- */
add_action( 'aarogya_hook_top', 'aarogya_page_loader', 20 );
function aarogya_page_loader() {
	$loader = cs_get_option( 'use-site-loader' );
	if( !empty($loader) ) {
        echo '<div class="loader"><div class="loader-inner">
        <div class="dots"><span class="dot"></span><span class="dot dot1"></span><span class="dot dot2"></span><span class="dot dot3"></span><span class="dot dot4"></span></div>
        <div id="leaves"><i></i><i></i><i></i><i></i><i></i><i></i><i></i><i></i><i></i><i></i><i></i><i></i><i></i><i></i><i></i></div>
        </div></div>';
	}
}

/* ---------------------------------------------------------------------------
 * Hook of Content before
 * --------------------------------------------------------------------------- */
function aarogya_hook_content_before() {
	if( cs_get_option( 'enable-content-before-hook' ) ) :
		echo '<!-- aarogya_hook_content_before -->';
			$hook = cs_get_option( 'content-before-hook' );
			if (!empty($hook))
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- aarogya_hook_content_before -->';
	endif;
}
add_action( 'aarogya_hook_content_before', 'aarogya_hook_content_before' );


/* ---------------------------------------------------------------------------
 * Hook of Content after
 * --------------------------------------------------------------------------- */
function aarogya_hook_content_after() {
	if( cs_get_option( 'enable-content-after-hook' ) ) :
		echo '<!-- aarogya_hook_content_after -->';
			$hook = cs_get_option( 'content-after-hook' );
			if (!empty($hook))
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- aarogya_hook_content_after -->';
	endif;
}
add_action( 'aarogya_hook_content_after', 'aarogya_hook_content_after' );

/* ---------------------------------------------------------------------------
 * Main Header Hook
 * --------------------------------------------------------------------------- */
add_action( 'aarogya_header', 'aarogya_vc_header_template', 10 );
if( ! function_exists( 'aarogya_vc_header_template' ) ) {

    function aarogya_vc_header_template( $page_id ) {

        $id = '';

        if( is_singular() && empty( $page_id ) ) {

            global $post;

            $settings = get_post_meta( $post->ID,'_dt_custom_settings',TRUE );
            $settings = is_array( $settings ) ? $settings  : array();

            if( array_key_exists( 'show-header', $settings ) && !$settings['show-header'] )
                return;

            
            $id = isset( $settings['header'] ) ? $settings['header'] : '';
            $id = ( $id == '' ) ? cs_get_option( 'header' ) : $id;
        } elseif( !empty( $page_id ) ) {

            $settings = get_post_meta( $page_id, '_dt_custom_settings',TRUE );
            $settings = is_array( $settings ) ? $settings  : array();

            if( array_key_exists( 'show-header', $settings ) && !$settings['show-header'] )
                return;

            $id = isset( $settings['header'] ) ? $settings['header'] : '';
            $id = ( $id == '' ) ? cs_get_option( 'header' ) : $id;

        } else {
            
            $id = cs_get_option( 'header' );
        }

        $id = apply_filters( 'aarogya_header_id', $id );

        if( !$id || !function_exists( 'vc_lean_map' ) ) {
            get_template_part( 'template-parts/content', 'header' );
            return;
        }
        
        ob_start(); 
        wp_enqueue_style( 'aarogya-custom-inline' );

        if ( $custom_css = get_post_meta( $id, '_wpb_post_custom_css', true ) ) {
            wp_add_inline_style( 'aarogya-custom-inline' , $custom_css  );
        }

        if ( $shortcode_custom_css = get_post_meta( $id, '_wpb_shortcodes_custom_css', true ) ) {
            wp_add_inline_style( 'aarogya-custom-inline' , $shortcode_custom_css  );
        }

        echo '<div id="header-'.esc_attr( $id ).'" class="dt-header-tpl header-' .esc_attr( $id ). '">';
            echo do_shortcode( get_post_field( 'post_content', $id ) );
        echo '</div>';

        $content = ob_get_clean();
        echo apply_filters( 'aarogya_header_content', $content );
    }
}

/* ---------------------------------------------------------------------------
 * Main Footer Hook
 * --------------------------------------------------------------------------- */
add_action( 'aarogya_footer', 'aarogya_vc_footer_template', 10 );
if( ! function_exists( 'aarogya_vc_footer_template' ) ) {

	function aarogya_vc_footer_template() {

		$id = '';

		if( is_singular() ) {

			global $post;

			$settings = get_post_meta( $post->ID,'_dt_custom_settings',TRUE );
			$settings = is_array( $settings ) ? $settings  : array();

			if( array_key_exists( 'show-footer', $settings ) && !$settings['show-footer'] )
				return;

            $id = isset( $settings['footer'] ) ? $settings['footer'] : '';
			$id = ( $id == '' ) ? cs_get_option( 'footer' ) : $id;
        } else if( function_exists( 'is_woocommerce' ) && is_shop() ) {
            $shop_page_id = get_option('woocommerce_shop_page_id');

            $settings = get_post_meta( $shop_page_id,'_dt_custom_settings',TRUE );
            $settings = is_array( $settings ) ? $settings : array();

            if( array_key_exists( 'show-footer', $settings ) && !$settings['show-footer'] )
               return;

           $id = isset( $settings['footer'] ) ? $settings['footer'] : '';
           $id = ( $id == '' ) ? cs_get_option( 'footer' ) : $id;            
        } else {
            $id = cs_get_option( 'footer' );
        }
		
		$id = apply_filters( 'aarogya_footer_id', $id );
		
		if( !$id || !function_exists( 'vc_lean_map' ) ) {

            echo '<div class="dt-no-footer-builder-content dt-footer-default">';
                echo '<div class="dt-no-footer-copyright aligncenter dt-sc-dark-bg">';
				    echo '<span>&copy; '.date( 'Y' ).' '.get_bloginfo( 'name' ).'. '. get_bloginfo( 'description', 'display' ).'</span>';
                echo '</div>';
            echo '</div>';
			return;
		}

		ob_start();	
		wp_enqueue_style( 'aarogya-custom-inline' );

		if ( $custom_css = get_post_meta( $id, '_wpb_post_custom_css', true ) ) {
			wp_add_inline_style( 'aarogya-custom-inline' , $custom_css  );
		}

		if ( $shortcode_custom_css = get_post_meta( $id, '_wpb_shortcodes_custom_css', true ) ) {
			wp_add_inline_style( 'aarogya-custom-inline' , $shortcode_custom_css  );
		}

		echo do_shortcode( get_post_field( 'post_content', $id ) );
		$content = ob_get_clean();
        echo apply_filters( 'aarogya_footer_content', $content );
	}
}

/* ---------------------------------------------------------------------------
 * Hook of Bottom
 * --------------------------------------------------------------------------- */
function aarogya_hook_bottom() {
	if( cs_get_option( 'enable-bottom-hook' ) ) :
		echo '<!-- aarogya_hook_bottom -->';
			$hook = cs_get_option( 'bottom-hook' );
            if (!empty($hook))
                echo do_shortcode( stripslashes($hook) );
		echo '<!-- aarogya_hook_bottom -->';
	endif;
}
add_action( 'aarogya_hook_bottom', 'aarogya_hook_bottom' );


/* ---------------------------------------------------------------------------
 * Call Back For No Header Menu
 * --------------------------------------------------------------------------- */
function aarogya_new_wp_page_menu() {

    $pages = wp_list_pages( array(
        'depth'         => 0,
        'title_li'      => '',
        'echo'          => 0,
        'post_type'     => 'page',
        'link_before'   => '<span>',
        'link_after'    => '</span>',
        'post_status'   => 'publish',
		'walker'        => new AAROGYA_Walker_Page
    ) );

    echo '<div class="menu-container">';
    echo '  <ul class="dt-primary-nav" data-menu="dummy-menu">';
    echo '  <li class="close-nav"></li>' . $pages;
    echo '  </ul>';
    echo '</div>';
}

/* ---------------------------------------------------------------------------
 * Predefined Skins
 * --------------------------------------------------------------------------- */
function aarogya_skins( $arg ) {

    $skins = array (
        'blue'    => array( 'primary-color'  => '#B71C1C', 'secondary-color'  => '#880E4F', 'tertiary-color'  => '#4A148C',),
        'brown'   => array( 'primary-color'  => '#B71C1C', 'secondary-color'  => '#880E4F', 'tertiary-color'  => '#4A148C',),
        'color-1' => array( 'primary-color'  => '#B71C1C', 'secondary-color'  => '#880E4F', 'tertiary-color'  => '#4A148C',),
        'color-2' => array( 'primary-color'  => '#311B92', 'secondary-color'  => '#1A237E', 'tertiary-color'  => '#0D47A1', ),
        'color-3' => array( 'primary-color'  => '#01579B', 'secondary-color'  => '#006064', 'tertiary-color'  => '#004D40', )
    );

    $skin = array_key_exists( $arg , $skins ) ? $skins[ $arg ] : array();
    return $skin;    
}

/* ---------------------------------------------------------------------------
 * Page Layout  
 * --------------------------------------------------------------------------- */
function aarogya_page_layout( $layout = '' ) {

    $page_layout      = $sidebar_class = '';
    $show_sidebar     = $show_left_sidebar = $show_right_sidebar = false;
    $container_class  = "container";
    $image_size_class = '';

    switch ( $layout ) {

        case 'with-left-sidebar':
            $page_layout      = "page-with-sidebar with-left-sidebar";
            $show_sidebar     = $show_left_sidebar = true;
            $sidebar_class    = "secondary-has-left-sidebar";
            $image_size_class = 'default';
        break;

        case 'with-right-sidebar':
            $page_layout      = "page-with-sidebar with-right-sidebar";
            $show_sidebar     = $show_right_sidebar = true;
            $sidebar_class    = "secondary-has-right-sidebar";
            $image_size_class = 'default';
        break;

        case 'with-both-sidebar':
            $page_layout      = "page-with-sidebar with-both-sidebar";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = true;
            $sidebar_class    = "secondary-has-both-sidebar";
            $image_size_class = 'default';
        break;

        case 'fullwidth':
            $container_class  = "portfolio-fullwidth-container";
            $page_layout      = "content-full-width";
            $image_size_class = 'fullwidth';
        break;

        case 'content-full-width':
        default:
            $page_layout      = "content-full-width";
            $image_size_class = 'default';
        break;
    }
    
    if( ( is_archive() || is_search() || is_home() ) && $layout != 'content-full-width' ) {

        $left_std  = cs_get_option( 'show-standard-left-sidebar-for-post-archives' );
        $right_std = cs_get_option( 'show-standard-right-sidebar-for-post-archives' );

        $left = $right = false;
        if( (isset($layout) && ($layout == 'with-left-sidebar' || $layout == 'with-both-sidebar')) && ( is_active_sidebar('post-archives-sidebar-left') || ( !empty( $left_std ) && is_active_sidebar('standard-sidebar-left') ) ) ) {
            $left = true;
        }

        if( (isset($layout) && ($layout == 'with-right-sidebar' || $layout == 'with-both-sidebar')) && ( is_active_sidebar('post-archives-sidebar-right') || ( !empty( $right_std ) && is_active_sidebar('standard-sidebar-right') ) ) ) {
            $right = true;
        }

        $pageid = get_option('page_for_posts');
        if( $pageid > 0 ) {
            $settings = array();
            $left = $right = false;

            $settings = get_post_meta($pageid,'_tpl_default_settings',TRUE);
            $settings = is_array( $settings ) ?  array_filter( $settings )  : array();

            if( empty($settings) || ( array_key_exists( 'layout', $settings ) && $settings['layout'] == 'global-site-layout' ) ) {
                $settings['layout'] = cs_get_option( 'site-global-sidebar-layout' );
                $settings['show-standard-sidebar-left'] = true;
                $settings['show-standard-sidebar-right'] = true;
                unset($settings['widget-area-left']);
                unset($settings['widget-area-right']);
            }

            if( (isset($settings['layout']) && ($settings['layout'] == 'with-left-sidebar' || $settings['layout'] == 'with-both-sidebar')) && ( ( isset($settings['show-standard-sidebar-left']) && $settings['show-standard-sidebar-left'] && is_active_sidebar( 'standard-sidebar-left' ) ) || aarogya_active_custom_widgetarea( 'page', $pageid, 'left' ) ) ) {
                $left = true;
            }
    
            if( (isset($settings['layout']) && ($settings['layout'] == 'with-right-sidebar' || $settings['layout'] == 'with-both-sidebar')) && ( ( isset($settings['show-standard-sidebar-right']) && $settings['show-standard-sidebar-right'] && is_active_sidebar( 'standard-sidebar-right' ) ) || aarogya_active_custom_widgetarea( 'page', $pageid, 'right' ) ) ) {
                $right = true;
            }
        }
    
        if( $left && $right ) {
            $page_layout      = "page-with-sidebar with-both-sidebar";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = true;

            $sidebar_class    = "secondary-has-both-sidebar";
            $image_size_class = 'default';
        } elseif( $left ) {
            $page_layout        = "page-with-sidebar with-left-sidebar";
            $sidebar_class      = "secondary-has-left-sidebar";
            $show_sidebar       = $show_left_sidebar = true;
            $show_right_sidebar = false;
        } elseif( $right ) {
            $page_layout        = "page-with-sidebar with-right-sidebar";
            $sidebar_class      = "secondary-has-right-sidebar";
            $show_sidebar       = $show_right_sidebar   = true;
            $show_left_sidebar = false;
        } else {
            $page_layout      = "content-full-width";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = false;
        }
    } elseif( $layout != 'content-full-width' ) {

        global $post;
        $id = $post->ID;
        $type = $post->post_type;
        $settings = array();

        if( $type == 'page' ){
            $settings = get_post_meta($id,'_tpl_default_settings',TRUE);
            $settings = is_array( $settings ) ?  array_filter( $settings )  : array();

            if( empty($settings) || ( array_key_exists( 'layout', $settings ) && $settings['layout'] == 'global-site-layout' ) ) {
                $settings['layout'] = cs_get_option( 'site-global-sidebar-layout' );
                $settings['show-standard-sidebar-left'] = true;
                $settings['show-standard-sidebar-right'] = true;
                unset($settings['widget-area-left']);
                unset($settings['widget-area-right']);
            }

        } elseif( $type == 'post' ){
            $settings = get_post_meta($id,'_dt_post_settings',TRUE);
            $settings = is_array( $settings ) ?  array_filter( $settings )  : array();

            if( empty($settings) || ( array_key_exists( 'layout', $settings ) && $settings['layout'] == 'global-site-layout' ) ) {
                $settings['layout'] = cs_get_option( 'site-global-sidebar-layout' );
                $settings['show-standard-sidebar-left'] = true;
                $settings['show-standard-sidebar-right'] = true;
                unset($settings['widget-area-left']);
                unset($settings['widget-area-right']);
            }
        } elseif( $type == 'dt_portfolios' ){
            $settings = get_post_meta($id,'_portfolio_settings',TRUE);

        } elseif( $type == 'product' ){
            $settings = get_post_meta($id,'_custom_settings',TRUE);

            if( empty($settings) || ( array_key_exists( 'page-layout', $settings ) && $settings['page-layout'] == 'admin-option' ) ) {
                $settings = array();
                $settings['layout'] = cs_get_option( 'site-global-sidebar-layout' );
                $settings['show-standard-sidebar-left'] = true;
                $settings['show-standard-sidebar-right'] = true;
                unset($settings['widget-area-left']);
                unset($settings['widget-area-right']);  
                unset($settings['page-layout']);    
                unset($settings['show-standard-sidebar']);  
                unset($settings['product-widgetareas']);    
            }

        } elseif( $type == 'tribe_events' ){
            $settings = get_post_meta($id,'_custom_settings',TRUE);
            $settings = is_array( $settings ) ?  array_filter( $settings )  : array();

            if( empty($settings) || ( array_key_exists( 'layout', $settings ) && $settings['layout'] == 'global-site-layout' ) ) {
                $settings = array();
                $settings['layout'] = cs_get_option( 'site-global-sidebar-layout' );
                $settings['show-standard-sidebar-left'] = true;
                $settings['show-standard-sidebar-right'] = true;
                unset($settings['widget-area-left']);
                unset($settings['widget-area-right']);
            }

        } else {
            $settings = get_post_meta($id,'_custom_settings',TRUE);
        }

        $left = $right = false;

        if( (isset($settings['layout']) && ($settings['layout'] == 'with-left-sidebar' || $settings['layout'] == 'with-both-sidebar')) && ( ( isset($settings['show-standard-sidebar-left']) && $settings['show-standard-sidebar-left'] && is_active_sidebar( 'standard-sidebar-left' ) ) || aarogya_active_custom_widgetarea( $type, $id, 'left' ) ) ) {
            $left = true;
        }

        if( (isset($settings['layout']) && ($settings['layout'] == 'with-right-sidebar' || $settings['layout'] == 'with-both-sidebar')) && ( ( isset($settings['show-standard-sidebar-right']) && $settings['show-standard-sidebar-right'] && is_active_sidebar( 'standard-sidebar-right' ) ) || aarogya_active_custom_widgetarea( $type, $id, 'right' ) ) ) {
            $right = true;
        }

        if( (isset($settings['page-layout']) && ($settings['page-layout'] == 'with-left-sidebar')) && ( ( isset($settings['show-standard-sidebar']) && $settings['show-standard-sidebar'] && is_active_sidebar( 'standard-sidebar-left' ) ) || aarogya_active_custom_widgetarea( $type, $id, 'left' ) ) && is_singular('product') ) {
            $left = true;
        }

        if( (isset($settings['page-layout']) && ($settings['page-layout'] == 'with-right-sidebar')) && ( ( isset($settings['show-standard-sidebar']) && $settings['show-standard-sidebar'] && is_active_sidebar( 'standard-sidebar-right' ) ) || aarogya_active_custom_widgetarea( $type, $id, 'right' ) ) && is_singular('product') ) {
            $right = true;
        }

        if( $left && $right ) {
            $page_layout      = "page-with-sidebar with-both-sidebar";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = true;
            $sidebar_class    = "secondary-has-both-sidebar";
            $image_size_class = 'default';
        } elseif( $left ) {
            $page_layout        = "page-with-sidebar with-left-sidebar";
            $sidebar_class      = "secondary-has-left-sidebar";
            $show_sidebar       = $show_left_sidebar = true;
            $show_right_sidebar = false;
        } elseif( $right ) {
            $page_layout        = "page-with-sidebar with-right-sidebar";
            $sidebar_class      = "secondary-has-right-sidebar";
            $show_sidebar       = $show_right_sidebar   = true;
            $show_left_sidebar = false;
        } else {
            $page_layout      = "content-full-width";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = false;           
        }
    }
    
    return array(
        'page_layout'        => $page_layout,
        'sidebar_class'      => $sidebar_class,
        'show_sidebar'       => $show_sidebar,
        'show_left_sidebar'  => $show_left_sidebar,
        'show_right_sidebar' => $show_right_sidebar,
        'container_class'    => $container_class,
        'image_size_class'   => $image_size_class,
    );  
}

/* ---------------------------------------------------------------------------
 * Page Layout  
 * --------------------------------------------------------------------------- */
function aarogya_page_layout_old( $layout = '' ) {

    $page_layout       = $sidebar_class = '';
    $show_sidebar      = $show_left_sidebar = $show_right_sidebar = false;
    $container_class   = "container";
    $image_size_class = '';

    switch ( $layout ) {

        case 'with-left-sidebar':
            $page_layout      = "page-with-sidebar with-left-sidebar";
            $show_sidebar     = $show_left_sidebar = true;
            $sidebar_class    = "secondary-has-left-sidebar";
            $image_size_class = 'default';
        break;

        case 'with-right-sidebar':
            $page_layout      = "page-with-sidebar with-right-sidebar";
            $show_sidebar     = $show_right_sidebar = true;
            $sidebar_class    = "secondary-has-right-sidebar";
            $image_size_class = 'default';
        break;

        case 'with-both-sidebar':
            $page_layout      = "page-with-sidebar with-both-sidebar";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = true;
            $sidebar_class    = "secondary-has-both-sidebar";
            $image_size_class = 'default';
        break;

        case 'fullwidth':
            $container_class  = "portfolio-fullwidth-container";
            $page_layout      = "content-full-width";
            $image_size_class = 'fullwidth';
        break;

        case 'content-full-width':
        default:
            $page_layout      = "content-full-width";
            $image_size_class = 'default';
        break;
    }
    
    if( ( is_archive() || is_search() || is_home() ) && $layout != 'content-full-width' ) {

        $left_std = cs_get_option( 'show-standard-left-sidebar-for-post-archives' );
        $right_std = cs_get_option( 'show-standard-right-sidebar-for-post-archives' );

        $left = $right = false;
        if( (isset($layout) && ($layout == 'with-left-sidebar' || $layout == 'with-both-sidebar')) && ( is_active_sidebar('post-archives-sidebar-left') || ( !empty( $left_std ) && is_active_sidebar('standard-sidebar-left') ) ) ) {
            $left = true;
        }

        if( (isset($layout) && ($layout == 'with-right-sidebar' || $layout == 'with-both-sidebar')) && ( is_active_sidebar('post-archives-sidebar-right') || ( !empty( $right_std ) && is_active_sidebar('standard-sidebar-right') ) ) ) {
            $right = true;
        }

        $pageid = get_option('page_for_posts');
        if( $pageid > 0 ) {
            $settings = array();
            $left = $right = false;

            $settings = get_post_meta($pageid,'_tpl_default_settings',TRUE);
            $settings = is_array( $settings ) ?  array_filter( $settings )  : array();

            if( empty($settings) || ( array_key_exists( 'layout', $settings ) && $settings['layout'] == 'global-site-layout' ) ) {
                $settings['layout'] = cs_get_option( 'site-global-sidebar-layout' );
                $settings['show-standard-sidebar-left'] = true;
                $settings['show-standard-sidebar-right'] = true;
                unset($settings['widget-area-left']);
                unset($settings['widget-area-right']);
            }

            if( (isset($settings['layout']) && ($settings['layout'] == 'with-left-sidebar' || $settings['layout'] == 'with-both-sidebar')) && ( ( isset($settings['show-standard-sidebar-left']) && $settings['show-standard-sidebar-left'] && is_active_sidebar( 'standard-sidebar-left' ) ) || aarogya_active_custom_widgetarea( 'page', $pageid, 'left' ) ) ) {
                $left = true;
            }
    
            if( (isset($settings['layout']) && ($settings['layout'] == 'with-right-sidebar' || $settings['layout'] == 'with-both-sidebar')) && ( ( isset($settings['show-standard-sidebar-right']) && $settings['show-standard-sidebar-right'] && is_active_sidebar( 'standard-sidebar-right' ) ) || aarogya_active_custom_widgetarea( 'page', $pageid, 'right' ) ) ) {
                $right = true;
            }
        }
    
        if( $left && $right ) {
            $page_layout      = "page-with-sidebar with-both-sidebar";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = true;
            $sidebar_class    = "secondary-has-both-sidebar";
            $image_size_class = 'default';
        } elseif( $left ) {
            $page_layout        = "page-with-sidebar with-left-sidebar";
            $sidebar_class      = "secondary-has-left-sidebar";
            $show_sidebar       = $show_left_sidebar = true;
            $show_right_sidebar = false;
        } elseif( $right ) {
            $page_layout        = "page-with-sidebar with-right-sidebar";
            $sidebar_class      = "secondary-has-right-sidebar";
            $show_sidebar       = $show_right_sidebar   = true;
            $show_left_sidebar = false;
        } else {
            $page_layout      = "content-full-width";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = false;
        }
    } elseif( $layout != 'content-full-width' ) {

        global $post;
        $id = $post->ID;
        $type = $post->post_type;
        $settings = array();

        if( $type == 'page' ){
            $settings = get_post_meta($id,'_tpl_default_settings',TRUE);
            $settings = is_array( $settings ) ?  array_filter( $settings )  : array();

            if( empty($settings) || ( array_key_exists( 'layout', $settings ) && $settings['layout'] == 'global-site-layout' ) ) {
                $settings['layout'] = cs_get_option( 'site-global-sidebar-layout' );
                $settings['show-standard-sidebar-left'] = true;
                $settings['show-standard-sidebar-right'] = true;
                unset($settings['widget-area-left']);
                unset($settings['widget-area-right']);
            }

        } elseif( $type == 'post' ){
            $settings = get_post_meta($id,'_dt_post_settings',TRUE);
            $settings = is_array( $settings ) ?  array_filter( $settings )  : array();

            if( empty($settings) || ( array_key_exists( 'layout', $settings ) && $settings['layout'] == 'global-site-layout' ) ) {
                $settings['layout'] = cs_get_option( 'site-global-sidebar-layout' );
                $settings['show-standard-sidebar-left'] = true;
                $settings['show-standard-sidebar-right'] = true;
                unset($settings['widget-area-left']);
                unset($settings['widget-area-right']);
            }
        } elseif( $type == 'dt_portfolios' ){
            $settings = get_post_meta($id,'_portfolio_settings',TRUE);
        } else {
            $settings = get_post_meta($id,'_custom_settings',TRUE);
        }

        $left = $right = false;

        if( (isset($settings['layout']) && ($settings['layout'] == 'with-left-sidebar' || $settings['layout'] == 'with-both-sidebar')) && ( ( isset($settings['show-standard-sidebar-left']) && $settings['show-standard-sidebar-left'] && is_active_sidebar( 'standard-sidebar-left' ) ) || aarogya_active_custom_widgetarea( $type, $id, 'left' ) ) ) {
            $left = true;
        }

        if( (isset($settings['layout']) && ($settings['layout'] == 'with-right-sidebar' || $settings['layout'] == 'with-both-sidebar')) && ( ( isset($settings['show-standard-sidebar-right']) && $settings['show-standard-sidebar-right'] && is_active_sidebar( 'standard-sidebar-right' ) ) || aarogya_active_custom_widgetarea( $type, $id, 'right' ) ) ) {
            $right = true;
        }

        if( $left && $right ) {
            $page_layout      = "page-with-sidebar with-both-sidebar";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = true;
            $sidebar_class    = "secondary-has-both-sidebar";
            $image_size_class = 'default';
        } elseif( $left ) {
            $page_layout        = "page-with-sidebar with-left-sidebar";
            $sidebar_class      = "secondary-has-left-sidebar";
            $show_sidebar       = $show_left_sidebar = true;
            $show_right_sidebar = false;
        } elseif( $right ) {
            $page_layout        = "page-with-sidebar with-right-sidebar";
            $sidebar_class      = "secondary-has-right-sidebar";
            $show_sidebar       = $show_right_sidebar   = true;
            $show_left_sidebar = false;
        } else {
            $page_layout      = "content-full-width";
            $show_sidebar     = $show_left_sidebar = $show_right_sidebar = false;           
        }
    }
    
    return array(
        'page_layout'        => $page_layout,
        'sidebar_class'      => $sidebar_class,
        'show_sidebar'       => $show_sidebar,
        'show_left_sidebar'  => $show_left_sidebar,
        'show_right_sidebar' => $show_right_sidebar,
        'container_class'    => $container_class,
        'image_size_class'   => $image_size_class,
    );    
}

/* ---------------------------------------------------------------------------
 * Return Breadcrumb Style
 * --------------------------------------------------------------------------- */
function aarogya_breadcrumb_css( $settings = array() ) {

    $bg = $co = $repeat = $pos = $attach = $size = $style = '';

    $bg = !empty( $settings['image'] ) ? $settings['image'] : '';
    $co = !empty( $settings['color'] ) ? $settings['color'] : '';
	
    if(!empty($bg) || !empty($co)) :
        $repeat = !empty( $settings['repeat'] ) ? $settings['repeat'] :'repeat';
        $pos    = !empty( $settings['position'] ) ? $settings['position'] :'left top';
        $attach = !empty( $settings['attachment'] ) ? $settings['attachment'] :'scroll';
        $size   = !empty( $settings['size'] ) ? $settings['size'] :'auto';
    else:
        $bgoptions = cs_get_option( 'breadcrumb_background' );
        $bg         = !empty( $bgoptions['image'] ) ? $bgoptions['image'] : '';
        $attach     = !empty( $bgoptions['attachment'] ) ? $bgoptions['attachment'] :'scroll';
        $pos        = !empty( $bgoptions['position'] ) ? $bgoptions['position'] :'left top';
        $size       = !empty( $bgoptions['size'] ) ? $bgoptions['size'] :'auto';
        $repeat     = !empty( $bgoptions['repeat'] ) ? $bgoptions['repeat'] :'repeat';
        $co         = !empty( $bgoptions['color'] ) ? $bgoptions['color'] : '';
    endif;

	$style = !empty($bg) ? "background-image: url($bg); " : "";
	$style .= !empty($pos) ? "background-position: $pos; " : "";
	$style .= !empty($size) ? "background-size: $size; " : "";
	$style .= !empty($repeat) ? "background-repeat: $repeat; " : "";
	$style .= !empty($attach) ? "background-attachment: $attach; " : "";
    $style .= !empty($co) ? "background-color:$co;" : "";

    return $style;
}

/* ---------------------------------------------------------------------------
 * Breadcrumb
 * --------------------------------------------------------------------------- */
function aarogya_new_breadcrumbs( $args ) {

    $breadcrumbs = array();
    $output = '';

    $homeLink = esc_url( home_url('/') );
    $separator = '<span class="'.cs_get_option( 'breadcrumb-delimiter', 'fa default' ).'"></span>';
    $breadcrumbs[] =  '<a href="'. $homeLink .'">'. esc_html__('Home','aarogya') .'</a>';
    $breadcrumbs = array_merge( $breadcrumbs, $args );

    $output .=  '<div class="breadcrumb">';
        $count = count( $breadcrumbs );
        $i = 1;

        foreach( $breadcrumbs as $bk => $bc ){
            if( !is_object( $bc ) ) {
                if( strpos( $bc , $separator ) ) {
                    // category parents fix
                    $output .=  ($bc);
                } else {
                    if( $i == $count ) $separator = '';
                    $output .=  ($bc . $separator);
                }
            }
            $i++;
        }
    $output .=  '</div>';

    return $output;
}

function aarogya_breadcrumb_output( $title, $breadcrumbs, $class, $inline_css ) {

    $inline_css = !empty( $inline_css ) ? "style='".esc_attr($inline_css)."'" : "";

    echo '<section class="main-title-section-wrapper '.esc_attr($class).'">';
    echo '  <div class="main-title-section-bg" '. $inline_css.'></div>';
    echo '  <div class="container">';
    echo '  	<div class="main-title-section">'. $title .'</div>';
    echo        aarogya_new_breadcrumbs( $breadcrumbs );
    echo '  </div>';
    echo '</section>';
}