<?php
function aarogya_kirki_config() {
	return 'aarogya_kirki_config';
}

function aarogya_defaults( $key = '' ) {
	$defaults = array();

	# site identify
	$defaults['use-custom-logo']    = '1';
	$defaults['custom-logo']        = AAROGYA_THEME_URI.'/images/logo.png';
	$defaults['custom-light-logo']  = AAROGYA_THEME_URI.'/images/light-logo.png';
	$defaults['site_icon']          = AAROGYA_THEME_URI.'/images/favicon.ico';
	$defaults['custom-title-color'] = '#000000';

	# site layout
	$defaults['site-layout'] = 'wide';

	# site skin
	$defaults['primary-color']   		= '#609a33';
	$defaults['secondary-color'] 		= '#578b2e';
	$defaults['tertiary-color']  		= '#f3f6ea';
	$defaults['body-bg-color']   		= '#fff';
	$defaults['body-content-color'] 	= '#555';
    $defaults['body-a-color'] 			= '#555';
	$defaults['body-a-hover-color'] 	= '#609a33';

	# site breadcrumb
	$defaults['customize-breadcrumb-title-typo'] = '1';
	$defaults['breadcrumb-title-typo'] = array( 'font-family' => 'CenturySchoolbook',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '60px',
		'line-height' => '',
		'letter-spacing' => '',
		'color' => '#fff',
		'text-align' => 'unset',
		'text-transform' => 'none' );
	$defaults['customize-breadcrumb-typo'] = '0';
	$defaults['breadcrumb-typo'] = array( 'font-family' => 'Montserrat',
		'variant' => '300',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '16px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#fff',
		'text-align' => 'unset',
		'text-transform' => 'none' );
	

	# custom content
	$defaults['customize-custom-content-typo'] = '1';
	$defaults['custom-content-typo'] = array( 'font-family' => 'Montserrat' );
	$defaults['customize-custom-heading-typo'] = '1';
	$defaults['custom-heading-typo'] = array( 'font-family' => 'CenturySchoolbook' );
	
	# site footer
	$defaults['customize-footer-title-typo'] = '1';
	$defaults['footer-title-typo'] = array( 'font-family' => 'CenturySchoolbook',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '32px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#2B2B2B',
		'text-align' => 'left',
		'text-transform' => 'none' );
	$defaults['customize-footer-content-typo'] = '1';
	$defaults['footer-content-typo'] = array( 'font-family' => 'Montserrat',
		'variant' => '300',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '16px',
		'line-height' => '30px',
		'letter-spacing' => '0',
		'color' => '#555',
		'text-align' => 'left',
		'text-transform' => 'none' );
		
			

	# site typography
	$defaults['customize-body-h1-typo'] = '1';
	$defaults['h1'] = array(
		'font-family' => 'CenturySchoolbook',
		'variant' => 'regular',
		'font-size' => '60px',
		'line-height' => 'normal',
		'letter-spacing' => '',
		'color' => '#1b1b1b',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family' => 'CenturySchoolbook',
		'variant' => 'regular',
		'font-size' => '48px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#1b1b1b',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family' => 'CenturySchoolbook',
		'variant' => 'regular',
		'font-size' => '40px',
		'line-height' => 'normal',
		'letter-spacing' => '',
		'color' => '#1b1b1b',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family' => 'CenturySchoolbook',
		'variant' => 'regular',
		'font-size' => '32px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#1b1b1b',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family' => 'CenturySchoolbook',
		'variant' => 'regular',
		'font-size' => '24px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#1b1b1b',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family' => 'CenturySchoolbook',
		'variant' => 'regular',
		'font-size' => '18px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#1b1b1b',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-content-typo'] = '1';
	$defaults['body-content-typo'] = array(
		'font-family' => 'Montserrat',
		'variant' => '300',
		'font-size' => '16px',
		'line-height' => '30px',
		'letter-spacing' => '0',
		'color' => '#555',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function aarogya_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','aarogya'),
		"top center"    => esc_attr__('Top Center','aarogya'),
		"top right"     => esc_attr__('Top Right','aarogya'),
		"center left"   => esc_attr__('Center Left','aarogya'),
		"center center" => esc_attr__('Center Center','aarogya'),
		"center right"  => esc_attr__('Center Right','aarogya'),
		"bottom left"   => esc_attr__('Bottom Left','aarogya'),
		"bottom center" => esc_attr__('Bottom Center','aarogya'),
		"bottom right"  => esc_attr__('Bottom Right','aarogya'),
	);

	return $positions;
}

function aarogya_image_repeats() {

	$image_repeats = array( "repeat" => esc_attr__('Repeat','aarogya'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','aarogya'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','aarogya'),
		"no-repeat" => esc_attr__('No Repeat','aarogya')
	);

	return $image_repeats;
}

function aarogya_border_styles() {

	$image_repeats = array(
		"none"	 => esc_attr__('None','aarogya'),
		"dotted" => esc_attr__('Dotted','aarogya'),
		"dashed" => esc_attr__('Dashed','aarogya'),
		"solid"	 => esc_attr__('Solid','aarogya'),
		"double" => esc_attr__('Double','aarogya'),
		"groove" => esc_attr__('Groove','aarogya'),
		"ridge"	 => esc_attr__('Ridge','aarogya'),
	);

	return $image_repeats;
}

function aarogya_animations() {

	$animations = array(
		'' 					 => esc_attr__('Default','aarogya'),	
		"bigEntrance"        =>  esc_attr__("bigEntrance",'aarogya'),
        "bounce"             =>  esc_attr__("bounce",'aarogya'),
        "bounceIn"           =>  esc_attr__("bounceIn",'aarogya'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'aarogya'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'aarogya'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'aarogya'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'aarogya'),
        "bounceOut"          =>  esc_attr__("bounceOut",'aarogya'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'aarogya'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'aarogya'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'aarogya'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'aarogya'),
        "expandOpen"         =>  esc_attr__("expandOpen",'aarogya'),
        "expandUp"           =>  esc_attr__("expandUp",'aarogya'),
        "fadeIn"             =>  esc_attr__("fadeIn",'aarogya'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'aarogya'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'aarogya'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'aarogya'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'aarogya'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'aarogya'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'aarogya'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'aarogya'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'aarogya'),
        "fadeOut"            =>  esc_attr__("fadeOut",'aarogya'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'aarogya'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'aarogya'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'aarogya'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'aarogya'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'aarogya'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'aarogya'),
        "flash"              =>  esc_attr__("flash",'aarogya'),
        "flip"               =>  esc_attr__("flip",'aarogya'),
        "flipInX"            =>  esc_attr__("flipInX",'aarogya'),
        "flipInY"            =>  esc_attr__("flipInY",'aarogya'),
        "flipOutX"           =>  esc_attr__("flipOutX",'aarogya'),
        "flipOutY"           =>  esc_attr__("flipOutY",'aarogya'),
        "floating"           =>  esc_attr__("floating",'aarogya'),
        "hatch"              =>  esc_attr__("hatch",'aarogya'),
        "hinge"              =>  esc_attr__("hinge",'aarogya'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'aarogya'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'aarogya'),
        "pullDown"           =>  esc_attr__("pullDown",'aarogya'),
        "pullUp"             =>  esc_attr__("pullUp",'aarogya'),
        "pulse"              =>  esc_attr__("pulse",'aarogya'),
        "rollIn"             =>  esc_attr__("rollIn",'aarogya'),
        "rollOut"            =>  esc_attr__("rollOut",'aarogya'),
        "rotateIn"           =>  esc_attr__("rotateIn",'aarogya'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'aarogya'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'aarogya'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'aarogya'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'aarogya'),
        "rotateOut"          =>  esc_attr__("rotateOut",'aarogya'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'aarogya'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'aarogya'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'aarogya'),
        "shake"              =>  esc_attr__("shake",'aarogya'),
        "slideDown"          =>  esc_attr__("slideDown",'aarogya'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'aarogya'),
        "slideLeft"          =>  esc_attr__("slideLeft",'aarogya'),
        "slideRight"         =>  esc_attr__("slideRight",'aarogya'),
        "slideUp"            =>  esc_attr__("slideUp",'aarogya'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'aarogya'),
        "stretchRight"       =>  esc_attr__("stretchRight",'aarogya'),
        "swing"              =>  esc_attr__("swing",'aarogya'),
        "tada"               =>  esc_attr__("tada",'aarogya'),
        "tossing"            =>  esc_attr__("tossing",'aarogya'),
        "wobble"             =>  esc_attr__("wobble",'aarogya'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'aarogya'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'aarogya'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'aarogya')
    );

	return $animations;
}

function aarogya_custom_fonts( $standard_fonts ){

	$custom_fonts = array();

	$fonts = cs_get_option('custom_font_fields');
	if( count( $fonts ) > 0 ):
		foreach( $fonts as $font ):
			$custom_fonts[$font['custom_font_name']] = array(
				'label' => $font['custom_font_name'],
				'variants' => array( '100', '100italic', '200', '200italic', '300', '300italic', 'regular', 'italic', '500', '500italic', '600', '600italic', '700', '700italic', '800', '800italic', '900', '900italic' ),
				'stack' => $font['custom_font_name'] . ', sans-serif'
			);
		endforeach;
	endif;

	return array_merge_recursive( $custom_fonts, $standard_fonts );
}
add_filter( 'kirki/fonts/standard_fonts', 'aarogya_custom_fonts', 20 );