<?php
$config = aarogya_kirki_config();

AAROGYA_Kirki::add_section( 'dt_site_layout_section', array(
	'title'    => esc_html__( 'Site Layout', 'aarogya' ),
	'priority' => 20
) );

	# site-layout
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'radio-image',
		'settings' => 'site-layout',
		'label'    => esc_html__( 'Site Layout', 'aarogya' ),
		'section'  => 'dt_site_layout_section',
		'default'  => aarogya_defaults('site-layout'),
		'choices'  => array(
			'boxed' =>  AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/boxed.png',
			'wide'  => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/wide.png',
		)
	));

	# site-boxed-layout
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'site-boxed-layout',
		'label'    => esc_html__( 'Customize Boxed Layout?', 'aarogya' ),
		'section'  => 'dt_site_layout_section',
		'default'  => '1',
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		),
		'active_callback' => array(
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
		)			
	));

	# body-bg-type
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'select',
		'settings' => 'body-bg-type',
		'label'    => esc_html__( 'Background Type', 'aarogya' ),
		'section'  => 'dt_site_layout_section',
		'multiple' => 1,
		'default'  => 'none',
		'choices'  => array(
			'pattern' => esc_attr__( 'Predefined Patterns', 'aarogya' ),
			'upload'  => esc_attr__( 'Set Pattern', 'aarogya' ),
			'none'    => esc_attr__( 'None', 'aarogya' ),
		),
		'active_callback' => array(
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
			array( 'setting' => 'site-boxed-layout', 'operator' => '==', 'value' => '1' )
		)
	));

	# body-bg-pattern
	AAROGYA_Kirki::add_field( $config, array(
		'type'        => 'radio-image',
		'settings'    => 'body-bg-pattern',
		'label'       => esc_html__( 'Predefined Patterns', 'aarogya' ),
		'description' => esc_html__( 'Add Background for body', 'aarogya' ),
		'section'     => 'dt_site_layout_section',
		'output'      => array(
			array( 'element' => 'body' , 'property' => 'background-image' )
		),
		'choices' => array(
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern1.jpg'  => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern1.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern2.jpg'  => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern2.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern3.jpg'  => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern3.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern4.jpg'  => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern4.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern5.jpg'  => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern5.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern6.jpg'  => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern6.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern7.jpg'  => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern7.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern8.jpg'  => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern8.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern9.jpg'  => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern9.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern10.jpg' => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern10.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern11.jpg' => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern11.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern12.jpg' => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern12.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern13.jpg' => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern13.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern14.jpg' => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern14.jpg',
			AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern15.jpg' => AAROGYA_THEME_URI.'/kirki/assets/images/site-layout/pattern15.jpg',
		),
		'active_callback' => array(
			array( 'setting' => 'body-bg-type', 'operator' => '==', 'value' => 'pattern' ),
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
			array( 'setting' => 'site-boxed-layout', 'operator' => '==', 'value' => '1' )
		)						
	));

	# body-bg-image
	AAROGYA_Kirki::add_field( $config, array(
		'type'        => 'image',
		'settings'    => 'body-bg-image',
		'label'       => esc_html__( 'Background Image', 'aarogya' ),
		'description' => esc_html__( 'Add Background Image for body', 'aarogya' ),
		'section'     => 'dt_site_layout_section',
		'output'      => array(
			array( 'element' => 'body' , 'property' => 'background-image' )
		),
		'active_callback' => array(
			array( 'setting' => 'body-bg-type', 'operator' => '==', 'value' => 'upload' ),
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
			array( 'setting' => 'site-boxed-layout', 'operator' => '==', 'value' => '1' )
		)
	));

	# body-bg-position
	AAROGYA_Kirki::add_field( $config, array(
		'type'            => 'select',
		'settings'        => 'body-bg-position',
		'label'           => esc_html__( 'Background Position', 'aarogya' ),
		'section'         => 'dt_site_layout_section',
		'output'          => array(
			array( 'element' => 'body' , 'property' => 'background-position' )
		),
		'default'         => 'center',
		'multiple'        => 1,
		'choices'         => aarogya_image_positions(),
		'active_callback' => array(
			array( 'setting' => 'body-bg-type', 'operator' => 'contains', 'value' => array( 'pattern', 'upload') ),
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
			array( 'setting' => 'site-boxed-layout', 'operator' => '==', 'value' => '1' )
		)
	));

	# body-bg-repeat
	AAROGYA_Kirki::add_field( $config, array(
		'type'            => 'select',
		'settings'        => 'body-bg-repeat',
		'label'           => esc_html__( 'Background Repeat', 'aarogya' ),
		'section'         => 'dt_site_layout_section',
		'output'          => array( array( 'element' => 'body' , 'property' => 'background-repeat' ) ),
		'default'         => 'repeat',
		'multiple'        => 1,
		'choices'         => aarogya_image_repeats(),
		'active_callback' => array(
			array( 'setting' => 'body-bg-type', 'operator' => 'contains', 'value' => array( 'pattern', 'upload' ) ),
			array( 'setting' => 'site-layout', 'operator' => '==', 'value' => 'boxed' ),
			array( 'setting' => 'site-boxed-layout', 'operator' => '==', 'value' => '1' )
		)
	));	