<?php
$config = aarogya_kirki_config();

# Breadcrumb Settings
AAROGYA_Kirki::add_section( 'dt_site_breadcrumb_section', array(
	'title'    => esc_html__( 'Breadcrumb', 'aarogya' ),
	'panel'    => 'dt_site_typography_panel',
	'priority' => 5
) );

	# customize-breadcrumb-title-typo
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'customize-breadcrumb-title-typo',
		'label'    => esc_html__( 'Customize Title ?', 'aarogya' ),
		'section'  => 'dt_site_breadcrumb_section',
		'default'  => aarogya_defaults('customize-breadcrumb-title-typo'),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)			
	));
	
	# breadcrumb-title-typo
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'typography',
		'settings' => 'breadcrumb-title-typo',
		'label'    => esc_html__( 'Title Typography', 'aarogya' ),
		'section'  => 'dt_site_breadcrumb_section',
		'output'   => array(
			array( 'element' => '.main-title-section h1, h1.simple-title' )
		),
		'default' => aarogya_defaults( 'breadcrumb-title-typo' ),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),		
		'active_callback' => array(
			array( 'setting' => 'customize-breadcrumb-title-typo', 'operator' => '==', 'value' => '1' )
		)		
	));		
	
	# customize-breadcrumb-typo
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'customize-breadcrumb-typo',
		'label'    => esc_html__( 'Customize Link ?', 'aarogya' ),
		'section'  => 'dt_site_breadcrumb_section',
		'default'  => aarogya_defaults('customize-breadcrumb-typo'),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)			
	));
	
	# breadcrumb-typo
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'typography',
		'settings' => 'breadcrumb-typo',
		'label'    => esc_html__( 'Link Typography', 'aarogya' ),
		'section'  => 'dt_site_breadcrumb_section',
		'output' => array(
			array( 'element' => 'div.breadcrumb a' )
		),
		'default' => aarogya_defaults( 'breadcrumb-typo' ),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),
		'active_callback' => array(
			array( 'setting' => 'customize-breadcrumb-typo', 'operator' => '==', 'value' => '1' )
		)		
	));
# Breadcrumb Settings

# Body Content
AAROGYA_Kirki::add_section( 'dt_body_content_typo_section', array(
	'title'    => esc_html__( 'Body', 'aarogya' ),
	'panel'    => 'dt_site_typography_panel',
	'priority' => 15
) );

	# customize-body-content-typo
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'customize-body-content-typo',
		'label'    => esc_html__( 'Customize Content Typo', 'aarogya' ),
		'section'  => 'dt_body_content_typo_section',
		'default'  => aarogya_defaults( 'customize-body-content-typo' ),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)
	));

	# body-content-typo
	AAROGYA_Kirki::add_field( $config ,array(
		'type'     => 'typography',
		'settings' => 'body-content-typo',
		'label'    => esc_html__('Settings', 'aarogya'),
		'section'  => 'dt_body_content_typo_section',
		'output'   => array(
			array( 'element' => 'body' ),
			array( 
				'element' => '.editor-styles-wrapper > *',
				'context' => array ('editor')
			)
		),
		'default' => aarogya_defaults('body-content-typo'),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),
		'active_callback' => array(
			array( 'setting' => 'customize-body-content-typo', 'operator' => '==', 'value' => '1' )
		)
	));	

# Heading
AAROGYA_Kirki::add_section( 'dt_headings_typo_section', array(
	'title'    => esc_html__( 'Headings', 'aarogya' ),
	'panel'    => 'dt_site_typography_panel',
	'priority' => 20
) );

	# H1
	# customize-body-h1-typo
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config', array(
		'type'     => 'switch',
		'settings' => 'customize-body-h1-typo',
		'label'    => esc_html__( 'Customize H1 Tag', 'aarogya' ),
		'section'  => 'dt_headings_typo_section',
		'default'  => aarogya_defaults( 'customize-body-h1-typo' ),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)
	));

	# h1 tag typography	
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'typography',
		'settings' => 'h1',
		'label'    => esc_html__('H1 Tag Settings', 'aarogya'),
		'section'  => 'dt_headings_typo_section',
		'output'   => array( 
			array( 'element' => 'h1' ),
			array( 
				'element' => '.editor-post-title__block .editor-post-title__input, .editor-styles-wrapper .wp-block h1, body#tinymce.wp-editor.content h1',
				'context' => array ('editor')
			),
		),
		'default'  => aarogya_defaults('h1'),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),					
		'active_callback' => array(
			array( 'setting' => 'customize-body-h1-typo', 'operator' => '==', 'value' => '1' )
		)
	));

	# H1 Divider
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'custom',
		'settings' => 'customize-body-h1-typo-divider',
		'section'  => 'dt_headings_typo_section',
		'default'  => '<div class="customize-control-divider"></div>'
	));

	# H2
	# customize-body-h2-typo
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config', array(
		'type'     => 'switch',
		'settings' => 'customize-body-h2-typo',
		'label'    => esc_html__( 'Customize H2 Tag', 'aarogya' ),
		'section'  => 'dt_headings_typo_section',
		'default'  => aarogya_defaults( 'customize-body-h2-typo' ),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)
	));

	# h2 tag typography	
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'typography',
		'settings' => 'h2',
		'label'    => esc_html__('H2 Tag Settings', 'aarogya'),
		'section'  => 'dt_headings_typo_section',
		'output' => array( 
			array( 'element' => 'h2' ),
			array( 
				'element' => '.editor-styles-wrapper .wp-block h2',
				'context' => array ('editor')
			),
		),
		'default'  => aarogya_defaults('h2'),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),									
		'active_callback' => array(
			array( 'setting' => 'customize-body-h2-typo', 'operator' => '==', 'value' => '1' )
		)
	));

	# H2 Divider
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'custom',
		'settings' => 'customize-body-h2-typo-divider',
		'section'  => 'dt_headings_typo_section',
		'default'  => '<div class="customize-control-divider"></div>'
	));

	# H3
	# customize-body-h3-typo
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config', array(
		'type'     => 'switch',
		'settings' => 'customize-body-h3-typo',
		'label'    => esc_html__( 'Customize H3 Tag', 'aarogya' ),
		'section'  => 'dt_headings_typo_section',
		'default'  => aarogya_defaults( 'customize-body-h3-typo' ),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)
	));

	# h3 tag typography	
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'typography',
		'settings' => 'h3',
		'label'    => esc_html__('H3 Tag Settings', 'aarogya'),
		'section'  => 'dt_headings_typo_section',
		'output' => array( 
			array( 'element' => 'h3' ),
			array( 
				'element' => '.editor-styles-wrapper .wp-block h3',
				'context' => array ('editor')
			),
		),
		'default'  => aarogya_defaults('h3'),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),									
		'active_callback' => array(
			array( 'setting' => 'customize-body-h3-typo', 'operator' => '==', 'value' => '1' )
		)
	));

	# H3 Divider
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'custom',
		'settings' => 'customize-body-h3-typo-divider',
		'section'  => 'dt_headings_typo_section',
		'default'  => '<div class="customize-control-divider"></div>'
	));

	# H4
	# customize-body-h4-typo
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config', array(
		'type'     => 'switch',
		'settings' => 'customize-body-h4-typo',
		'label'    => esc_html__( 'Customize H4 Tag', 'aarogya' ),
		'section'  => 'dt_headings_typo_section',
		'default'  => aarogya_defaults( 'customize-body-h4-typo' ),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)
	));

	# h4 tag typography	
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'typography',
		'settings' => 'h4',
		'label'    => esc_html__('H4 Tag Settings', 'aarogya'),
		'section'  => 'dt_headings_typo_section',
		'output' => array( 
			array( 'element' => 'h4' ),
			array( 
				'element' => '.editor-styles-wrapper .wp-block h4',
				'context' => array ('editor')
			),
		),
		'default'  => aarogya_defaults('h4'),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),									
		'active_callback' => array(
			array( 'setting' => 'customize-body-h4-typo', 'operator' => '==', 'value' => '1' )
		)
	));

	# H4 Divider
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'custom',
		'settings' => 'customize-body-h4-typo-divider',
		'section'  => 'dt_headings_typo_section',
		'default'  => '<div class="customize-control-divider"></div>'
	));

	# H5
	# customize-body-h5-typo
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config', array(
		'type'     => 'switch',
		'settings' => 'customize-body-h5-typo',
		'label'    => esc_html__( 'Customize H5 Tag', 'aarogya' ),
		'section'  => 'dt_headings_typo_section',
		'default'  => aarogya_defaults( 'customize-body-h5-typo' ),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)
	));

	# h5 tag typography	
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'typography',
		'settings' => 'h5',
		'label'    => esc_html__('H5 Tag Settings', 'aarogya'),
		'section'  => 'dt_headings_typo_section',
		'output' => array( 
			array( 'element' => 'h5' ),
			array( 
				'element' => '.editor-styles-wrapper .wp-block h5',
				'context' => array ('editor')
			),
		),
		'default'  => aarogya_defaults('h5'),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),									
		'active_callback' => array(
			array( 'setting' => 'customize-body-h5-typo', 'operator' => '==', 'value' => '1' )
		)
	));

	# H5 Divider
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'custom',
		'settings' => 'customize-body-h5-typo-divider',
		'section'  => 'dt_headings_typo_section',
		'default'  => '<div class="customize-control-divider"></div>'
	));

	# H6
	# customize-body-h6-typo
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config', array(
		'type'     => 'switch',
		'settings' => 'customize-body-h6-typo',
		'label'    => esc_html__( 'Customize H6 Tag', 'aarogya' ),
		'section'  => 'dt_headings_typo_section',
		'default'  => aarogya_defaults( 'customize-body-h6-typo' ),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)
	));

	# h6 tag typography	
	AAROGYA_Kirki::add_field( 'aarogya_kirki_config' ,array(
		'type'     => 'typography',
		'settings' => 'h6',
		'label'    => esc_html__('H6 Tag Settings', 'aarogya'),
		'section'  => 'dt_headings_typo_section',
		'output' => array( 
			array( 'element' => 'h6' ),
			array( 
				'element' => '.editor-styles-wrapper .wp-block h6',
				'context' => array ('editor')
			),
		),
		'default'  => aarogya_defaults('h6'),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),									
		'active_callback' => array(
			array( 'setting' => 'customize-body-h6-typo', 'operator' => '==', 'value' => '1' )
		)
	));
	

# Custom Content Settings
AAROGYA_Kirki::add_section( 'dt_site_custom_content_section', array(
	'title'    => esc_html__( 'Custom Content', 'aarogya' ),
	'panel'    => 'dt_site_typography_panel',
	'priority' => 25
) );

	# customize-custom-content-typo
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'customize-custom-content-typo',
		'label'    => esc_html__( 'Customize Custom Content ?', 'aarogya' ),
		'section'  => 'dt_site_custom_content_section',
		'default'  => aarogya_defaults('customize-custom-content-typo'),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)			
	));
	
	# custom-content-typo
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'typography',
		'settings' => 'custom-content-typo',
		'label'    => esc_html__( 'Custom Content Typography', 'aarogya' ),
		'section'  => 'dt_site_custom_content_section',
		'output'   => array(
			array( 'element' => 'input[type="text"], input[type="password"], input[type="email"], input[type="url"], input[type="tel"], input[type="number"], input[type="range"], input[type="date"], input.text, input[type="search"], select, textarea, input[type="submit"], input[type="reset"], input[type="button"], button[type="button"], button, .button, a.button, 
			.heading-typo-alternate, .dt-sc-service-item .service-details .dt-sc-service-info > *, .dt-services-list .dt-sc-service-item .image h4, .dt-sc-progress.style5 .dt-sc-bar-text, .dt-pricing-section-with-custom-switcher .dt-sc-tabs-vertical-container ul.dt-sc-tabs-vertical li a, .dt-sc-pr-tb-col.type2 ul.dt-sc-tb-content li, .woocommerce div.product form.cart .variations label' )
		),
		'default' => aarogya_defaults( 'custom-content-typo' ),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),		
		'active_callback' => array(
			array( 'setting' => 'customize-custom-content-typo', 'operator' => '==', 'value' => '1' )
		)		
	));		

	# customize-custom-heading-typo
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'customize-custom-heading-typo',
		'label'    => esc_html__( 'Customize Custom Heading ?', 'aarogya' ),
		'section'  => 'dt_site_custom_content_section',
		'default'  => aarogya_defaults('customize-custom-heading-typo'),
		'choices'  => array(
			'on'  => esc_attr__( 'Yes', 'aarogya' ),
			'off' => esc_attr__( 'No', 'aarogya' )
		)			
	));
	
	# custom-heading-typo
	AAROGYA_Kirki::add_field( $config, array(
		'type'     => 'typography',
		'settings' => 'custom-heading-typo',
		'label'    => esc_html__( 'Custom Heading Typography', 'aarogya' ),
		'section'  => 'dt_site_custom_content_section',
		'output'   => array(
			array( 'element' => 'label, .content-typo-alternate, .dt-sc-counter.type1 .dt-sc-counter-number, .dt-sc-portfolio-sorting a, .dt-sc-testimonial.type1 blockquote, .dt-sc-testimonial .dt-sc-testimonial-author cite, .dt-sc-pr-tb-col.minimal .dt-sc-price p, .dt-sc-pr-tb-col.minimal .dt-sc-price h6 span, .dt-sc-testimonial.special-testimonial-carousel blockquote, .dt-sc-pr-tb-col .dt-sc-tb-title, .dt-sc-pr-tb-col .dt-sc-tb-content, .dt-sc-bar-text, .dt-sc-hr-timeline-slider-details-holder .dt-sc-timeline-detail .dt-sc-timeline-image::after, ul.dt-sc-tabs-horizontal .scroll_tab_inner li > a, ul.dt-sc-tabs-horizontal-frame .scroll_tab_inner li > a, ul.dt-sc-tabs-vertical li > a, ul.dt-sc-tabs-vertical-frame > li > a, .dt-sc-newsletter-section.type4.dt-custom-white-bg-filled .dt-sc-subscribe-frm input[type="submit"], .dt-footer-default .advanced-map-container .map-content-switch-wrapper .selection-box select, blockquote.type1:before, blockquote.type1 q, blockquote.type1 > p, .dtportfolio-sorting.type1 a, .post-fixed-top-image-meta .comment-author b, .post-fixed-top-image-meta .comment-metadata, .under-construction.type6 .dt-sc-counter-number, .woocommerce #review_form #respond .comment-reply-title, blockquote.type1:after' )
		),
		'default' => aarogya_defaults( 'custom-heading-typo' ),
		'choices'  => array(
			'variant' => array(
				'100',
				'100italic',
				'200',
				'200italic',
				'300',
				'300italic',
				'regular',
				'italic',
				'500',
				'500italic',
				'600',
				'600italic',
				'700',
				'700italic',
				'800',
				'800italic',
				'900',
				'900italic'
			),
		),		
		'active_callback' => array(
			array( 'setting' => 'customize-custom-heading-typo', 'operator' => '==', 'value' => '1' )
		)		
	));	

# Custom Content Settings


# Footer Typography
	AAROGYA_Kirki::add_section( 'dt_footer_typo', array(
		'title'    => esc_html__( 'Footer', 'aarogya' ),
		'panel'    => 'dt_site_typography_panel',
		'priority' => 100,
	) );

		# customize-footer-title-typo
		AAROGYA_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-footer-title-typo',
			'label'    => esc_html__( 'Customize Title ?', 'aarogya' ),
			'section'  => 'dt_footer_typo',
			'default'  => aarogya_defaults('customize-footer-title-typo'),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'aarogya' ),
				'off' => esc_attr__( 'No', 'aarogya' )
			),
		));

		# footer-title-typo
		AAROGYA_Kirki::add_field( $config, array(
			'type'     => 'typography',
			'settings' => 'footer-title-typo',
			'label'    => esc_html__( 'Title Typography', 'aarogya' ),
			'section'  => 'dt_footer_typo',
			'output'   => array(
				array( 'element' => 'div.footer-widgets h3.widgettitle, #footer h3.widgettitle' )
			),
			'default' => aarogya_defaults( 'footer-title-typo' ),
			'active_callback' => array(
				array( 'setting' => 'customize-footer-title-typo', 'operator' => '==', 'value' => '1' )
			)		
		));

		# Divider
		AAROGYA_Kirki::add_field( $config ,array(
			'type'            => 'custom',
			'settings'        => 'footer-title-typo-divider',
			'section'         => 'dt_footer_typo',
			'default'         => '<div class="customize-control-divider"></div>',
			'active_callback' => array(
				array( 'setting' => 'customize-footer-title-typo', 'operator' => '==', 'value' => '1' )
			)			
		));

		# customize-footer-content-typo
		AAROGYA_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-footer-content-typo',
			'label'    => esc_html__( 'Customize Content ?', 'aarogya' ),
			'section'  => 'dt_footer_typo',
			'default'  => aarogya_defaults('customize-footer-content-typo'),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'aarogya' ),
				'off' => esc_attr__( 'No', 'aarogya' )
			),
		));

		# footer-content-typo
		AAROGYA_Kirki::add_field( $config, array(
			'type'     => 'typography',
			'settings' => 'footer-content-typo',
			'label'    => esc_html__( 'Content Typography', 'aarogya' ),
			'section'  => 'dt_footer_typo',
			'output' => array(
				array( 'element' => '#footer, .footer-copyright, div.footer-widgets .widget' )
			),
			'default' => aarogya_defaults( 'footer-content-typo' ),
			'active_callback' => array(
				array( 'setting' => 'customize-footer-content-typo', 'operator' => '==', 'value' => '1' )
			)		
		));

		# footer-content-a-color		
		AAROGYA_Kirki::add_field( $config, array(
			'type'     => 'color',
			'settings' => 'footer-content-a-color',
			'label'    => esc_html__( 'Anchor Color', 'aarogya' ),
			'section'  => 'dt_footer_typo',
			'choices' => array( 'alpha' => true ),
			'output' => array(
				array( 'element' => '.footer-widgets a, #footer a' )
			),
			'default' => aarogya_defaults( 'footer-content-a-color' ),
			'active_callback' => array(
				array( 'setting' => 'customize-footer-content-typo', 'operator' => '==', 'value' => '1' )
			)		
		));

		# footer-content-a-hover-color
		AAROGYA_Kirki::add_field( $config, array(
			'type'     => 'color',
			'settings' => 'footer-content-a-hover-color',
			'label'    => esc_html__( 'Anchor Hover Color', 'aarogya' ),
			'section'  => 'dt_footer_typo',
			'choices' => array( 'alpha' => true ),			
			'output' => array(
				array( 'element' => '.footer-widgets a:hover, #footer a:hover' )
			),
			'default' => aarogya_defaults( 'footer-content-a-hover-color' ),
			'active_callback' => array(
				array( 'setting' => 'customize-footer-content-typo', 'operator' => '==', 'value' => '1' )
			)		
		));