<?php
if ( !class_exists( 'DTCustomerPostType' ) ) {

	class DTCustomerPostType {

		function __construct() {
			add_action ( 'init', array (
				$this,
				'dt_init'
			) );
			
			add_filter ( "cs_metabox_options", array(
				$this,
				"dt_customers_cs_metabox_options"
			) );
		}

		function dt_init() {
			$labels = array(
				'name' => __('Customers', 'aarogya-booking-manager' ),
				'singular_name' => __('Customer', 'aarogya-booking-manager' ),
				'menu_name' => __('Calendar', 'aarogya-booking-manager' ),
				'add_new' => __('Add Customer', 'aarogya-booking-manager' ),
				'add_new_item' => __('Add New Customer', 'aarogya-booking-manager' ),
				'edit' => __('Edit Customer', 'aarogya-booking-manager' ),
				'edit_item' => __('Edit Customer', 'aarogya-booking-manager' ),
				'new_item' => __('New Customer', 'aarogya-booking-manager' ),
				'view' => __('View Customer', 'aarogya-booking-manager' ),
				'view_item' => __('View Customer', 'aarogya-booking-manager' ),
				'search_items' => __('Search Customers', 'aarogya-booking-manager' ),
				'not_found' => __('No Customers found', 'aarogya-booking-manager' ),
				'not_found_in_trash' => __('No Customers found in Trash', 'aarogya-booking-manager' ),
				'parent_item_colon' => __('Parent Customer:', 'aarogya-booking-manager' ),
			);

			$args = array(
				'labels' => $labels,
				'hierarchical' => false,
				'description' => __('This is Custom Post type named as Customers','aarogya-booking-manager'),
				'supports' => array('title'),
				'public' => true,
				'show_ui' => true,
				'show_in_menu' => true,
				'show_in_admin_bar' => true,
				'menu_position' => 5,
				'menu_icon' => 'dashicons-clipboard',
			);

			register_post_type('dt_customers', $args );
		}

		function dt_customers_cs_metabox_options( $options ) {

			$options[]    = array(
			  'id'        => '_info',
			  'title'     => esc_html__('Customer Options', 'aarogya-booking-manager'),
			  'post_type' => 'dt_customers',
			  'context'   => 'normal',
			  'priority'  => 'default',
			  'sections'  => array(
			
				array(
				  'name'  => 'general_section',
			
				  'fields' => array(
			
					array(
					  'id'    => 'emailid',
					  'type'  => 'text',
					  'title' => esc_html__('Email Id', 'aarogya-booking-manager'),
					  'attributes' => array( 
						'placeholder' => 'testmail@domain.com'
					  )
					),

					array(
					  'id'    => 'phone',
					  'type'  => 'text',
					  'title' => esc_html__('Phone', 'aarogya-booking-manager'),
					  'attributes' => array( 
						'placeholder' => '022-65265'
					  )
					),

				  ), // end: fields
				), // end: a section

			  ),
			);

			return $options;
		}
	}
}