<?php add_action( 'vc_before_init', 'dt_sc_advanced_map_item_vc_map' );
function dt_sc_advanced_map_item_vc_map() {
	vc_map( array(
		'name'                      => esc_html__( 'Map Item', 'designthemes-core' ),
		'base'                      => 'dt_sc_advanced_map_item',
		'allowed_container_element' => 'vc_row',
		'is_container'              => true,
		'content_element'           => false,
		"as_child"                  => array('only' => 'dt_sc_advanced_map'),
		'admin_enqueue_js'          =>  plugins_url('designthemes-core-features').'/visual-composer/js/dt-sc-advanced-map-item-view.js',
		'js_view'                   => 'DTAdvancedMapItemTabView',
		'params'                    => array(
			array(
				'type'       => 'tab_id',
				'heading'    => esc_html__( 'Location ID', 'designthemes-core' ),
				'param_name' => "id"
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__( 'Name', 'designthemes-core' ),
				'param_name'  => 'title',
				'save_always' => true,
				'description' => esc_html__( 'Enter location name', 'designthemes-core' )
			),
			array(
				'type'             => 'textfield',
				'heading'          => esc_html__( 'Latitude', 'designthemes-core' ),
				'param_name'       => 'latitude',
				'edit_field_class' => 'vc_col-sm-6',
				'save_always'      => true
			),
			array(
				'type'             => 'textfield',
				'heading'          => esc_html__( 'Longitude', 'designthemes-core' ),
				'param_name'       => 'longitude',
				'edit_field_class' => 'vc_col-sm-6',
				'save_always'      => true
			),
			array(
				'type'        => 'dropdown',
				'heading'     => esc_html__( 'Map Zoom Level', 'designthemes-core' ),
				'param_name'  => 'map_zoom_level',
				'value'       => array( 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20),
				'save_always' => true,
				'std'         => 5
			),			
		),
	) );

	require_once vc_path_dir('SHORTCODES_DIR', 'vc-column.php');

	class WPBakeryShortCode_DT_SC_ADVANCED_MAP_ITEM extends WPBakeryShortCode_VC_Column {
		protected $controls_css_settings = 'tc vc_control-container';
		protected $controls_list = array( 'add', 'edit', 'clone', 'delete' );
		protected $predefined_atts = array(
			'id'    => 'Tab',
			'title' => '',
		);
		protected $controls_template_file = 'editors/partials/backend_controls_tab.tpl.php';
	
		public function __construct( $settings ) {
			parent::__construct( $settings );
		}
	
		public function customAdminBlockParams() {
			return ' id="tab-' . $this->atts['id'] . '"';
		}
	
		public function mainHtmlBlockParams( $width, $i ) {
			$sortable = ( vc_user_access_check_shortcode_all( $this->shortcode ) ? 'wpb_sortable' : $this->nonDraggableClass );
	
			return 'data-element_type="' . $this->settings['base'] . '" class="wpb_' . $this->settings['base'] . ' ' . $sortable . ' wpb_content_holder"' . $this->customAdminBlockParams();
		}
	
		public function containerHtmlBlockParams( $width, $i ) {
			return 'class="wpb_column_container vc_container_for_children"';
		}
	
		public function getColumnControls( $controls, $extended_css = '' ) {
			return $this->getColumnControlsModular( $extended_css );
		}
	}	
}